#-*- coding: utf-8 -*-
# # の後ろは注釈文：コメントを書く所
# （ただし１行目の #-*- coding: cp932 -*- だけは日本語コードを指定するおまじない）
#
# sample1.py
# 数値演算のサンプル
# 2010.7.6
#
# 注釈文にはこのようにプログラム名や作成日時を書いたり、
# 下のようにプログラムの説明を書いたりする。

from random import *	  # 乱数を使うためのおまじない
from math import *	  # 数学関数を使うためのおまじない

a = randint(1, 10000)     # 1 から 10000 の間で整数乱数を生成し、変数 a に代入
b = randint(1, 1000)      # 1 から 1000 の間で整数乱数 を生成し、変数 b に代入
c = randint(1, 10)        # 1 から 10 の間で整数乱数を生成し、変数 c に代入
x = uniform(0, 10)        # 0 から 10 の間で乱数実数を生成し、変数 x に代入

print u"数値演算の例"       # 文字列の出力
print                     # 空行を出力

print "a =", a            # a を出力
print "b =", b            # b を出力
print
print u"のとき" 
print
print "a + b =", a + b    # 和
print "a - b =", a - b    # 差
print "a * b =", a * b    # 積
print "a / b =", a / b    # 商
print "a % b =", a % b    # 剰余
print

print "x =", x            # x を出力
print "c =", c            # c を出力
print
print u"のとき"
print
print "x ^ c =", x ** c   # べき乗
print "sin(x) =", sin(x)  # 正弦
print "cos(x) =", cos(x)  # 余弦
print "tan(x) =", tan(x)  # 正接
print "exp(x) =", exp(x)  # 指数関数
print "log(x) =", log(x)  # 自然対数
print u"x の平方根 =", sqrt(x)           # 平方根
print u"x の３乗根 =", exp(log(x)/3.0)   # 3 乗根
print

print u"円周率 pi や自然対数の底 e は定数として math モジュールで定義済み:"
print "pi =", pi
print " e =", e

