#-*- coding: utf-8 -*-
#
# sample3.py
# 上級者用のサンプル（関数定義、制御構造、リストの例）
# 2010.7.6

from sys import *

##### 関数定義の例 #####

# 再帰呼び出しを用いて階乗を計算する関数
def factorial(n):
    # if 文の例 : n <= 1 のときは
    if n <= 1:
        # 1 を返す
        return 1        
    # そうでないときは n! = n * (n-1)! を利用して
    else:
        # n * (n-1)! を返す
        return n * factorial(n - 1)

##### 以下メインルーチン #####

##### for 文の例 #####

print u"階乗の表（ for 文で書く ）"
print

# 1 <= n < 21 の範囲でループさせる for 文
for n in range(1, 21):
    print n, "! =", factorial(n)

print
print u"Enter キーを押してください"
x = raw_input()

##### while 文の例 #####

# 上と同じことを while 文で書く

print u"階乗の表（ while 文で書く ）"
print

n = 1
while n < 21:
    print n, "! =", factorial(n)
    n += 1

print
print u"Enter キーを押してください"
x = raw_input()

##### リストの例（他言語の配列に相当） #####

# 上と同じ出力を、一度リストに値を格納してから表示する

print u"階乗の表（ リストを使って書く ）"
print

a = []                      # 初期値は空リスト
for n in range(1, 21):
    a.append(factorial(n))  # 関数値をリストに追加してゆく
print u"関数値を格納したリスト :"
print a
print
for n in range(1, 21):
    print n, "! =", a[n - 1]
    
